Bug 12413 - iso9660 mount is unable to read large tgz file
iso9660 mount is unable to read large tgz file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-18 09:07 EDT by mavrin
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mavrin 2000-06-18 09:07:56 EDT
I burned a large (114M) tarball to my HP 7110i cdwriter using windows
software. When I mount it under RedHat 6.2 using the iso9660 filesystem
type, the file shows up as only 69 Megs (and of course tar and gzip see
premature EOFs).  But, when I put the cd in my other (windows 98)
computer's cdrom, and remote mount it (samba), the full 114Megs of the file
are available.  I had this same problem on my computer at work
as well.  My Linux computer at home is a Packard Bell platinum 60 and
the one at work is a Dell 460.
Comment 1 Banibrata Dutta 2002-05-27 08:03:43 EDT
i've faced (and reported) a similar problem with my Compaq Pressario 1700T 
Laptop's CD-drive. it's true for both USB connected CD-Drive (a Mitsumi CD-
Writer i have), a PCMCIA CD-Drive, and the inbuilt FutureBay Drive (an LG8080B 
drive, actually an 8xDVD drive).

the thing is in my case, whether the CD is ISO9660 or any other format, it 
hangs for (with kernel generating sys log messages, block read failed or 
something)... for any file greater than about 18MB... this is true for both 
original CD's and for CD's burnt by me.

my sys configuration is PIII 1.1GHz, 128MB RAM and using RH7.2 base version 
(i.e. without any upgrades).
Comment 2 Banibrata Dutta 2002-05-27 08:14:15 EDT
the bug# 58151 corresponds to the problem i reported and talked about in my 
last post. my guess is they are related to this problem.
Comment 3 Bugzilla owner 2004-09-30 11:38:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.